package com.tencent.mm.plugin.sns.g;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.ytcommon.BuildConfig;

class c$a {
    long mEndTime = -1;
    long mStartTime = -1;
    long qJo;
    d qPI;
    int qPJ = 0;
    int qPK = 0;
    String qPL = BuildConfig.FLAVOR;
    String qPM = BuildConfig.FLAVOR;
    String qPN;

    public c$a(long j, long j2, String str, d dVar) {
        this.qPI = dVar;
        this.mStartTime = j;
        this.qJo = j2;
        this.qPN = str;
    }

    public final void fl(int i, int i2) {
        this.qPJ = i;
        this.qPK = i2;
    }

    public final void E(int i, int i2, int i3, int i4) {
        AppMethodBeat.i(36781);
        if (i == -1 || i2 == -1) {
            AppMethodBeat.o(36781);
            return;
        }
        String str = i + ":" + i2 + ":" + i3 + ":" + i4;
        String str2 = i + ":" + i2;
        if (str.equals(this.qPL) || (this.qPL.startsWith(str2) && i3 == 0 && i4 == 0)) {
            AppMethodBeat.o(36781);
            return;
        }
        this.qPL = str;
        addAction(i + ":" + i2 + ":" + i3 + ":" + i4);
        AppMethodBeat.o(36781);
    }

    private void addAction(String str) {
        AppMethodBeat.i(36782);
        if (!bo.isNullOrNil(this.qPM)) {
            this.qPM += "|";
        }
        this.qPM += str;
        AppMethodBeat.o(36782);
    }
}
